* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Alegreya", serif;
}

body {
  width: 90%;
  margin: auto;
  min-height: 100vh;
  background: rgb(69, 140, 153);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

input {
  border: none;
  padding: 1rem;
  font-size: 2rem;
  width: 100%;
}

p {
  font-weight: 600;
}

.dollar-container {
  width: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 3rem;
}

.coins-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.total-cents {
  margin-bottom: 2rem;
}

.coins {
  width: 60%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  text-align: center;
}

.coins h2 {
  margin: 1.2rem 0;
}

.quarter,
.dime,
.nickel,
.penny {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex: 1 1 10rem;
}

.card {
  background: linear-gradient(
    90deg,
    rgba(86, 128, 190, 0.5256477591036415) 3%,
    rgba(110, 143, 190, 0.43601190476190477) 100%
  );
  margin: 2rem;
  border-radius: 20px;
}

.card p {
  font-size: 1.3rem;
  font-weight: 600;
  padding-bottom: 1rem;
}

/* Mobile Tablet */
@media screen and (max-width: 1335px) {
  input {
    font-size: 2.5rem;
  }
  .dollar-container {
    width: 50%;
  }
}

/* Mobile Smartphone */
@media screen and (max-width: 835px) {
  .card {
    margin: 0.8rem;
  }
}
